controllers.controller("bidLikeCtrl", ["$scope", "$rootScope", "$manager", "$action", "$correct", 
						"$bidLikeView", "$navView", "$dialogView", "$longtabView", "$bidLikeLang", "$way",
						function($scope, $rootScope, $manager, $action, 
							$correct, $bidLikeView, $navView, $dialogView, $longtabView, $bidLikeLang, $way){
	$rootScope.locationTitle = $dialogView.strings.bidLikesTitle;
	$way.step($scope, "/bid_like");

	$navView.setNavBut(Constant.BID_SUBS_VIEW);

	$scope.targetCount = Constant.LIKE_MIN_BID;
	$scope.price = "";

	$scope.response = function(response){
		$bidLikeView.manageView($scope, response);
	}

	$scope.setPosts = function(index, src){
		$bidLikeView.setPosts(index, src);
	}
	
	$scope.bid = function(){
		var status = $correct.checkCorrect(Constant.LIKE_TYPE, $scope.link, $scope.targetCount);
		$bidLikeView.setButAnim(true);

		if(status.status == Constant.OK_STATUS){
			$action.bid($scope, new Bid($scope.link, $scope.targetCount, Constant.LIKE_TYPE));
		}else{
			$bidLikeView.setButAnim(false);
			$dialogView.showToast(status.message);
		}
	}
	
	$scope.changePrice = function(){
		$bidLikeView.setPrice($scope, $scope.targetCount);
	}

	//переключатель на странице лайков
	$scope.switcherLikes = function(num){
		$bidLikeView.switcherLikes($scope, num);
	}

	$scope.bidLikes = function(post){
		$dialogView.showDialogBidLikes(post.getId());
	}

	$scope.multipleBidLikes = function(index){
		$longtabView.showLongtab(index, $manager.instance.getUser());
	}

	$bidLikeView.initViewParams();
	$bidLikeView.setInfo($scope);

	$bidLikeLang.setLang($scope);
}]);