controllers.controller("donateCtrl", ["$scope", "$rootScope", "$routeParams", "$donateView", "$store", "$donateLang", 
						"$dialogView", "$navView", "$way",
						function($scope, $rootScope, $routeParams, $donateView, $store, $donateLang, 
							$dialogView, $navView, $way){
	$rootScope.locationTitle = $dialogView.strings.donateTitle;
	$way.step($scope, "/donate/diamonds");

	$navView.setNavBut(Constant.DONATE_VIEW);

	$scope.response = function(response){
		$donateView.setDonateContent($scope, $routeParams.id);
		$donateView.manageView($scope, response);
		$dialogView.hideLoading();
	}

	$scope.order = function(id){
		$store.order(id);
	}
	
	$scope.init = function(){
		$store.init($store.SIMPLE_SHOP, $scope.response);
	}
	
	$scope.$on("$destroy", function(){
		$store.off();
	});

	$donateView.initViewParams();

	$scope.init();

	$donateLang.setLang($scope);
}]);