controllers.controller("donateVipCtrl", ["$scope", "$donateVipView", "$store", "$donateVipLang", "$dialogView", "$way",
						function($scope, $donateVipView, $store, $donateVipLang, $dialogView, $way){
	$way.step($scope, "/donate_vip");

	$scope.response = function(response){
		$donateVipView.manageView($scope, response);
		$dialogView.hideLoading();
	}

	$scope.back = function(){
		$way.goBack($scope);
	}

	$scope.order = function(id){
		$store.order(id);
	}
	
	$scope.init = function(){
		$store.init($store.VIP_SHOP, $scope.response);
	}
	
	$scope.$on("$destroy", function(){
		$store.off();
	});

	$donateVipView.initViewParams();

	$scope.init();

	$donateVipLang.setLang($scope);
}]);