Lang.getLvlPrize = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				lvlNameText: "Prizes",

				lvlLevelText: " level",
				turboPrizeText: " for one week",

				closePreview: "Close preview"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				lvlNameText: "Награды",

				lvlLevelText: " уровень",
				turboPrizeText: " в течении недели",

				closePreview: "Закрыть просмотр"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				lvlNameText: "Auszeichnung",

				lvlLevelText: " level",
				turboPrizeText: " im Laufe des Monats",

				closePreview: "Vorschau schließen"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				lvlNameText: "Premios",

				lvlLevelText: " Nivel",
				turboPrizeText: " durante el mes",

				closePreview: "Cerrar vista previa"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				lvlNameText: "Prix",

				lvlLevelText: " niveau",
				turboPrizeText: " dans le courant du mois",

				closePreview: "Fermer aperçu"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				lvlNameText: "I premi",

				lvlLevelText: " il livello",
				turboPrizeText: " durante il mese",

				closePreview: "Chiudi anteprima"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				lvlNameText: "Şeref payesi",

				lvlLevelText: " seviye",
				turboPrizeText: " Bir ay içinde",

				closePreview: "Kapat önizleme"
			};
			break;
	}
	return lang;
}

// LVL PRIZE LANGS
services_lang.service("$lvlPrizeLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.LVLPRIZE_VIEW, function(lang){
			$scope.lvlNameText = lang.lvlNameText;

			$scope.lvlLevelText = lang.lvlLevelText;
			$scope.turboPrizeText = lang.turboPrizeText;

			$scope.closePreview = lang.closePreview;

			$scope.$applyAsync();
		});	
	}
}]);