Lang.getMain = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				followersText: "Followers",
				followingText:  "Following",
				postsText: "Posts",
				levelText: "Level",
				orderOtherAcc: "Order on another account",
				autoTaskText: "Automatic tasks",
				noPostsText: "You have no posts yet",

				guideDiamondsText: "Number of diamonds",
				guideEarnText: "Button for mining diamonds",
				guideBidText: "Get likes",
				guideTasksText: "Your tasks",
				guideDonateText: "Shop",
				guideMainText: "Main profile",
				guideNewsText: "News",
				guideQuestHintText: "Tap on the any image for get likes",
				guideLongTabText: "Hold on a while to select several pictures at once",
				guideNextText: "Next",
				guideReadyText: "Ready",
				guideSkipText: "Skip"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				followersText: "Подписчики",
				followingText:  "Подписки",
				postsText: "Посты",
				levelText: "Уровень",
				orderOtherAcc: "Заказать на другой аккаунт",
				autoTaskText: "Автоматические задания",
				noPostsText: "У Вас пока нет ни одного поста",

				guideDiamondsText: "Количество диамантов",
				guideEarnText: "Кнопка перехода для заработка диамантов",
				guideBidText: "Накрутка",
				guideTasksText: "Ваши задания",
				guideDonateText: "Магазин",
				guideMainText: "Ваш профиль",
				guideNewsText: "Новости",
				guideQuestHintText: "Нажмите на изображение на которое необходимо накрутить лайки",
				guideLongTabText: "Удерживайте на изображении, чтобы выбрать несколько изображений сразу",
				guideNextText: "Далее",
				guideReadyText: "Готово",
				guideSkipText: "Пропустить"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				followersText: "Followers",
				followingText:  "Folgende",
				postsText: "Beiträge",
				levelText: "Stand",
				orderOtherAcc: "Bestellen Sie auf anderen Konto",
				autoTaskText: "Automatische Aufgaben",
				noPostsText: "Sie haben noch keine Fragen",

				guideDiamondsText: "Anzahl der Diamanten",
				guideEarnText: "Aufgangtaste fur Diamanten erwerb",
				guideBidText: "Vergroesserung",
				guideTasksText: "Ihre Aufgaben",
				guideDonateText: "Geschaeft",
				guideMainText: "Ihre Profileseite",
				guideNewsText: "Nachrichten",
				guideQuestHintText: "Druecken Sie die Frage, deren Likes  man vergroessen soll",
				guideLongTabText: "Halten Sie auf das Bild, um mehrere Bilder auszuwählen",
				guideNextText: "Weiter",
				guideReadyText: "Fertig",
				guideSkipText: "Überspringen"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				followersText: "Los suscriptores",
				followingText:  "Siguiendo",
				postsText: "Mensajes",
				levelText: "Nivel",
				orderOtherAcc: "Ordenar en otra cuenta",
				autoTaskText: "Tareas automáticas",
				noPostsText: "No tiene ninguna pregunta todavia",

				guideDiamondsText: "Número de diamantes",
				guideEarnText: "Boton de avance para ganar los diamantos",
				guideBidText: "La recopilacion",
				guideTasksText: "Tus tareas",
				guideDonateText: "La tienda",
				guideMainText: "Su perfil",
				guideNewsText: "Las noticias",
				guideQuestHintText: "Pulse a la pregunta a donde es necesario recoger me gusta",
				guideLongTabText: "Mantenga en la imagen para seleccionar varias imágenes a la vez",
				guideNextText: "Entonces",
				guideReadyText: "Listo",
				guideSkipText: "Omitir"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				followersText: "Abonnes",
				followingText:  "Suivant",
				postsText: "des postes",
				levelText: "Niveau",
				orderOtherAcc: "Commandez sur un autre compte",
				autoTaskText: "Tâches automatiques",
				noPostsText: "Vous n'avez pas de questions",

				guideDiamondsText: "Nombre de diamants",
				guideEarnText: "Bouton de lancement pour gagner des diamants",
				guideBidText: "Obtention",
				guideTasksText: "Vos taches",
				guideDonateText: "Magasin",
				guideMainText: "Votre profil",
				guideNewsText: "Nouvelles",
				guideQuestHintText: "Cliquez sur la question sur laquelle vous voulez obtenir des comme",
				guideLongTabText: "Attendez un certain temps pour sélectionner plusieurs images à la fois",
				guideNextText: "Suivant",
				guideReadyText: "Fini",
				guideSkipText: "Sauter"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				followersText: "Abbonati",
				followingText:  "A seguire",
				postsText: "Messaggi",
				levelText: "Livello",
				orderOtherAcc: "Ordine su un altro account",
				autoTaskText: "Compiti automatici",
				noPostsText: "Lei per ora non ha nessuna domanda",

				guideDiamondsText: "Numero di diamanti",
				guideEarnText: "pulsante per guadagnare i diamanti",
				guideBidText: "Il trucco",
				guideTasksText: "i vostri compiti",
				guideDonateText: "Negozio",
				guideMainText: "Vostro profilo",
				guideNewsText: "Notizie",
				guideQuestHintText: "Schiaccia sulla domanda sella quale vuole truccare i likes",
				guideLongTabText: "Tenere sull'immagine per selezionare più immagini contemporaneamente",
				guideNextText: "Ulteriormente",
				guideReadyText: "Pronto",
				guideSkipText: "Salta"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				followersText: "Takipçiler",
				followingText:  "Aşağıdaki",
				postsText: "Mesajları",
				levelText: "Seviye",
				orderOtherAcc: "Başka bir hesapta Sipariş",
				autoTaskText: "Otomatik görevler",
				noPostsText: "Sizin herhangi bir sorunuz yok",

				guideDiamondsText: "Sayısı elmas",
				guideEarnText: "Elmas kazançlar için düğmeye gitmek",
				guideBidText: "Hile",
				guideTasksText: "Sizin işleriniz",
				guideDonateText: "Mağaza",
				guideMainText: "Sizin profil",
				guideNewsText: "Haberler",
				guideQuestHintText: "istediğiniz soru üzerine tıklayın ve layk kazanın",
				guideLongTabText: "Aynı anda birden fazla görüntü seçmek için resmin üzerine tutunuz",
				guideNextText: "Devam",
				guideReadyText: "Hazır",
				guideSkipText: "Atlamak"
			};
			break;
	}
	return lang;
}

// MAIN LANGS
services_lang.service("$mainLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.MAIN_VIEW, function(lang){
			$scope.followersText = lang.followersText;
			$scope.followingText = lang.followingText;
			$scope.postsText = lang.postsText;
			$scope.levelText = lang.levelText;
			$scope.orderOtherAcc = lang.orderOtherAcc;
			$scope.autoTaskText = lang.autoTaskText;
			$scope.noPostsText = lang.noPostsText;

			$scope.guideDiamondsText = lang.guideDiamondsText;
			$scope.guideEarnText = lang.guideEarnText;
			$scope.guideBidText = lang.guideBidText;
			$scope.guideTasksText = lang.guideTasksText;
			$scope.guideDonateText = lang.guideDonateText;
			$scope.guideMainText = lang.guideMainText;
			$scope.guideNewsText = lang.guideNewsText;
			$scope.guideQuestHintText = lang.guideQuestHintText;
			$scope.guideLongTabText = lang.guideLongTabText;
			$scope.guideNextText = lang.guideNextText;
			$scope.guideReadyText = lang.guideReadyText;
			$scope.guideSkipText = lang.guideSkipText;

			$scope.$applyAsync();
		});		
	}
}]);