controllers.controller("otheraccCtrl", ["$scope", "$rootScope", "$routeParams", "$manager", "$action", "$otheraccView", "$otheraccLang", 
						"$dialogView", "$longtabView", "$correct", "$way",
						function($scope, $rootScope, $routeParams, $manager, $action, $otheraccView, $otheraccLang, 
							$dialogView, $longtabView, $correct, $way){
	$way.step($scope, "/otheracc");
	$way.playBack();

	$scope.response = function(response){
		$otheraccView.manageView($scope, response);
	}
	
	$scope.back = function(){
		$way.goBack($scope);
	}

	$scope.setPosts = function(index, src){
		$otheraccView.setPosts(index, src);
	}

	$scope.bidLikes = function(post){
		$dialogView.showDialogBidLikes(post.getId());
	}

	$scope.multipleBidLikes = function(index){
		$longtabView.showLongtab(index, $otheraccView.otherUser);
	}

	$scope.showOrderSubs = function(){
		$otheraccView.showOrderSubs();
	}

	$scope.hideOrderSubs = function(){
		$otheraccView.hideOrderSubs();
	}

	$scope.bidSubs = function(){
		$scope.link = Constant.HOME_PAGE + "/" + $routeParams.nickname;

		$dialogView.setButAnim("otheracc-dialog", true);
		var status = $correct.checkCorrect(Constant.SUBSCRIBE_TYPE, $scope.link, $scope.subsCountDialog);

		if(status.status == Constant.OK_STATUS){
			$action.bid($scope, new Bid($scope.link, $scope.subsCountDialog, Constant.SUBSCRIBE_TYPE));
		}else{
			$dialogView.setButAnim("otheracc-dialog", false);
			$dialogView.showToast(status.message);
		}
	}

	$scope.changePrice = function(){
		$otheraccView.setPrice($scope, $scope.subsCountDialog);
	}

	$scope.getUserInfo = function(){
		$dialogView.showLoading();

		var user = new User();
		user.setNick($routeParams.nickname);

		$action.getUserInfo($scope, user);
	}

	$otheraccLang.setLang($scope);

	$scope.getUserInfo();

	$otheraccView.initViewParams();
}]);