Lang.getPrivacy = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				backText: "User aggreement",

				point1Text: "1. These Rules are the Official User Agreement (hereinafter - the “Rules”) between the User (hereinafter - the “User”) and Administration (hereinafter - the “Administration”) of Annex “" + Constant.APP_FULL_NAME + "” (hereinafter - “Annex”).",
				point2Text: "2. Using the application, the user automatically agrees with all points of the Rules.",
				point3Text: "3. The application created for the mutual exchange of Likes and a Followers to the service Instagram between two Users. Applications Inside there is the official currency of the Annex (hereinafter – “Diamonds”).",
				point4Text: "4. The application offers the following features:",
				point4Elem1Text: "4.1 Earning Diamonds.",
				point4Elem2Text: "4.2 Buying a Diamonds.",
				point4Elem3Text: "4.3 Cheat Followers and Likes.",
				point4Elem4Text: "4.4 Buy Premium account for Diamonds.",
				point4Elem5Text: "4.5 Buy Turbo subscription Applications for Diamonds.",
				point5Text: "5. The management reserves the right not to return the spent money inside the Applications User.",
				point6Text: "6. The administration does not guarantee the order fulfillment time.",
				point7Text: "7. The application is not affiliated or endorsed by Instagram administration.",
				point8Text: "8. The application stores the personal data entered by the User on the device user and the server. The administration undertakes not to transfer personal data to third parties.",
				point9Text: "9. The administration may use personal information from users to send messages to it relating to the work of the Annex.",
				point10Text: "10. Management reserves the right to make any changes and / or supplement the Rules at any time without prior and / or the subsequent notification of the User. Actual count published in the version of the application of the Rules.",
				point11Text: "11. The Administration is not responsible for any material and / or moral losses incurred as a result of the application.",
				point12Text: "12. In case the user does not agree with at least one of the paragraphs of the Regulation - he must immediately stop use an Application and delete it from your device.",
				point13Text: "13. After removal of the application users, the Administration does not guarantee the removal of personal data in the specific terms of time."
			};
			break;
		case Constant.RU_LANG:
			lang = {
				backText: "Пользовательское соглашение",

				point1Text: "1. Данные Правила являются Официальным Пользовательским Соглашением (далее - “Правила”) между Пользователем (далее - “Пользователь”) и Администрацией (далее - “Администрация”) Приложения “" + Constant.APP_FULL_NAME + "” (далее - “Приложение”).",
				point2Text: "2. Установив Приложение, Пользователь автоматически соглашается со всеми пунктами Правил.",
				point3Text: "3. Приложение создано для взаимного обмена лайками и подписками на сервисе Instagram между двумя Пользователями. Внутри Приложения присутствует Официальная Валюта Приложения (далее - “Диаманты”).",
				point4Text: "4. Приложение предлагает следующие функции:",
				point4Elem1Text: "4.1 Заработок Диамантов.",
				point4Elem2Text: "4.2 Покупка Диамантов.",
				point4Elem3Text: "4.3 Накрутка подписчиков, лайков.",
				point4Elem4Text: "4.4 Покупка Премиум аккаунта за Диаманты.",
				point4Elem5Text: "4.5 Покупка Турбо подписки Приложения за Диаманты.",
				point5Text: "5. Администрация оставляет за собой право не возвращать потраченные внутри Приложения Пользователем средства.",
				point6Text: "6. Администрация не дает гарантий относительно времени выполнения заказов.",
				point7Text: "7. Приложение не аффилировано и не одобрено администрацией Instagram.",
				point8Text: "8. Приложение хранит введенные личные данные Пользователя на устройстве Пользователя и на сервере. Администрация обязуется не передавать личные данные Пользователей третьим лицам.",
				point9Text: "9. Администрация может использовать личные данные Пользователя для отправки ему сообщений, касающихся работы Приложения.",
				point10Text: "10. Администрация оставляет за собой право осуществлять любые изменения и/или дополнения Правил в любое время без предварительного и/или последующего оповещения Пользователя. Актуальной считать опубликованную в Приложении версию Правил.",
				point11Text: "11. Администрация не несет ответственности за любые материальные и/или моральные убытки, возникшие в результате работы Приложения.",
				point12Text: "12. В случае, если Пользователь не согласен хотя бы с одним из пунктов Правил - он обязан немедленно прекратить использование Приложения и удалить его со своего устройства.",
				point13Text: "13. После удаления Приложения Пользователем, Администрация не гарантирует удаление личных данных в конкретные сроки времени."
			};
			break;
		case Constant.DE_LANG:
			lang = {
				backText: "Nutzungsvereinbarung",

				point1Text: "1. Die vorliegenden Regeln sind offizielle Endbenutzer-Lizenzvertrag (jeweils die „Regeln“) zwischen den Kunden (ein „Nutzer“) und der Lizenzgeber (die „Administration“).",
				point2Text: "2. Durch das Herunterladen (Download) dieser Applikation ist der Nutzer mit allen Punkten dieses Softwarelizenzvertrages einverstanden.",
				point3Text: "3. Diese Applikation wurde entwickelt, um die beiderseitige Wechslung der Likes und Abonnementen auf Instagram zwischen den zwei Benutzern zu verfügen. In dieser Applikation gibt es eine offizielle Währungsform (die „Diamanten“).",
				point4Text: "4. Diese Applikation schlägt folgende Funktionen vor:",
				point4Elem1Text: "4.1 Verdingung der Diamanten.",
				point4Elem2Text: "4.2 Einkauf der Diamanten.",
				point4Elem3Text: "4.3 Steigerung der Likes und Abonnenten.",
				point4Elem4Text: "4.4 Einkauf des Premium Account an den Diamanten.",
				point4Elem5Text: "4.5 Einkauf des Turbo Abonnement der Applikation an den Diamanten.",
				point5Text: "5. Die Administration belässt Recht, nach dem in der Applikation ausgegebenes Mittel des Nutzers nicht zurückgebracht werden kann.",
				point6Text: "6. Die Administration haftet keine Garantie im Bezug der Zeit der Auftragserfüllung geben.",
				point7Text: "7. Die Applikation ist nicht affiliiert und nicht von Instagram anerkannt.",
				point8Text: "8. Die Applikation bewahrt von dem Nutzer einspeisende Daten auf dem Nutzergerät und auf den Servern.",
				point9Text: "9. Die Administration kann Nutzerdaten verwenden, um ihm Nachrichten, der mit der Applikationsprozess zu tun haben, zu senden.",
				point10Text: "10. Die Administration belässt Recht, Änderungen und/oder Ergänzungen der Regeln jeder Zeit ohne vorzeitige und/oder nächste Nachrichten durchzuführen. Die in der Applikation veröffentlichte Version der Regeln ist aktuell.",
				point11Text: "11. Die Administration trägt keine Verantwortung für jeden materiellen und/oder sittlichen Schaden, die dank der Applikation verursacht wurde.",
				point12Text: "12. Ist der Nutzer mit einen der Punkte der Regeln, soll er sofort die Nutzung der Applikation beenden und aus seinem entfernen.",
				point13Text: "13. Nach der Entfernung kann die Administration keine Garantie geben, ob sie die persönlichen Daten in der bestimmten Frist zu entfernen."
			};
			break;
		case Constant.ES_LANG:
			lang = {
				backText: "El acuerdo de usario",

				point1Text: "1. El presente Acuerdo de usuario consta de estos Términos y condiciones de uso (en adelante – “Términos”). Forman el acuerdo entre el Usuario (en adelante – “Usuario”) y la Administración (en adelante – “Administración”) de la Aplicación “" + Constant.APP_FULL_NAME + "” (en adelante – “Aplicación”).",
				point2Text: "2. Al instalar la Aplicación el Usuario acepta automaticamente todos los Términos.",
				point3Text: "3. La Aplicación ha sido creada para el entercambio de “likes” y suscripciones entre dos Usuarios en el servicio de Instagram. La Aplicación dispone de la Moneda Oficial de la Aplicación (en adelante – “Diamantes”).",
				point4Text: "4. La Aplicación ofrece los sigiuentes servicios:",
				point4Elem1Text: "4.1 La ganancia de los Diamantes",
				point4Elem2Text: "4.2 La compra de los Diamantes",
				point4Elem3Text: "4.3 La compra de la cuenta Premium por Diamantes",
				point4Elem4Text: "4.4 La compra de la suscripción Turbo por Diamantes",
				point4Elem5Text: "4.5 La compara de la solicitudes de suscripción Turbo para los diamantes.",
				point5Text: "5. La Administración se reserva el derecho de no devolver el dinero gastado por por el Usuario mientras usando la Aplicación",
				point6Text: "6. La Administración no ofrece garantía que la ejecición de las pedidas se realice en un plazo determinado de tiempo",
				point7Text: "7. La Aplicación no está afiliada ni aprobada por la administración de Instagram",
				point8Text: "8. La Aplicación contiene los introducidos dados personales del Usuario en el dispositivo del Usuario y en el servidor. La Administración se compromete a no transmitir los dados personales del Usuario a terceros",
				point9Text: "9. La Administración puede utilizar los dados personales para el envío de las comunicaciones relacionadas con el funcionamiento de la Aplicación",
				point10Text: "10. La Administración se reserva el derecho de realizar cambios y/o enmendar los Términos en cualquier tiempo sin necesidad de advertencia (previa o posterior) del Usuario. La version vigente de los Términos és la publicada en la Aplicación",
				point11Text: "11. La Administración  no assume la responsabilidad por los daños morales ni materiales derivados del uso de la Aplicación",
				point12Text: "12. Si el Usiario no está de acuerdo con al menos un párrafo de los Términos – ha de terminar el uso de la Aplicación inmediatamente y eliminarlo del dispositivo",
				point13Text: "13. Al eliminar la Aplicación por el Usuario, la  Administración no ofrece garantía de la retirada de los datos personales en un plazo determinado de tiempo"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				backText: "Accord de l'utilisateur",

				point1Text: "1. Ces règles sont une accord officiel de l’utilisation (ci-après  - “Règles”) entre l’utilisateur (ci-après - “Utilisateur”) et l’administration (ci-après - “Administration”) de “" + Constant.APP_FULL_NAME + "” application (ci-après “Application”).",
				point2Text: "2. En installant de l’Application, l’Utilisateur accepte automatiquement tous les points des Règles.",
				point3Text: "3. L’application est créé pour l’échange mutuel de mentions “J’aime” et de followings entre deux Utilisateurs-surfeurs en Instagram service. Dans cette Application, il y a la Monnaie Officielle de l’Application (ci-après  - “Diamonds”).",
				point4Text: "4. L’application offre les fonctions suivantes:",
				point4Elem1Text: "4.1 Revenue de Diamonds.",
				point4Elem2Text: "4.2 L’achat de Diamonds.",
				point4Elem3Text: "4.3 Multiplication de followers, de mentions “J’aime”.",
				point4Elem4Text: "4.4 L’achat de Compte Premium pour les Diamonds.",
				point4Elem5Text: "4.5 L’achat de Turbo-Abonnement de l’Application pour les Diamonds.",
				point5Text: "5. L’administration se réserve le droit de ne retourner pas l’argent dépensé par l’Utilisateur dans",
				point6Text: "6. L’administration ne donne aucune garantie en ce qui concerne le temps d’exécution des ordres.",
				point7Text: "7. L’application n’est pas affiliée ni approuvée par l’Administration d’ Instagram.",
				point8Text: "8. L’application conserve les données personnelles d’Utilisateur imposées aux appareils d’Utilisateur et au serveur. L’administration se engage à ne transférer pas des données personnelles à des tiers.",
				point9Text: "9. L’administration peut utiliser des données personnelles d’Utilisateurs de l’envoyer des messages concernant l’Application.",
				point10Text: "10. L’administration se réserve le droit d’apporter des changements en tous genres et/ou de compléter les Règles à tout moment sans la notification préalable et/ou subséquente à l’Utilisateur. La version des Règles publiée dans l’ Application est considérée comme une d’actualité.",
				point11Text: "11. L’administration n’est pas responsable de tous les pertes matérielles et/ou morales résultant du fonctionnement de l’ Application.",
				point12Text: "12. Si l’Utilisateur n’est pas d’accord avec au moins l’un des points des Règles – l’Utilisateur doit immédiatement cesser l’utilisation d’Application et le supprimer de son appareil.",
				point13Text: "13. Après l’élimination de l’Application par l’Utilisateur, l’Administration ne garantit pas la suppression des données personnelles au cours de périodes spécifiques."
			};
			break;
		case Constant.IT_LANG:
			lang = {
				backText: "condizioni d'uso",

				point1Text: "1. Il seguente Regolamento è l’accordo ufficiale per le Condizioni d’uso (in seguito -“Il Regolamento”) tra l’utente (in seguito - “L'Utente”) e il titolare (a seguire -“il Titolare”) dell’applicazione “" + Constant.APP_FULL_NAME + "” (a seguire -“l’Applicazione”).",
				point2Text: "2. Installando l’Applicazione, l’Utente accetta automaticamente ogni punto del Regolamento.",
				point3Text: "3. L’applicazione è stata creata per uno scambio reciproco dei likes e dei followers su Instagram tra i due utenti. All’interno dell’Applicazione è in vigore la moneta ufficiale dell’Applicazione (a seguire -“i Diamanti”).",
				point4Text: "4. L’applicazione propone le seguenti funzioni:",
				point4Elem1Text: "4.1 Il guadagno dei Diamanti.",
				point4Elem2Text: "4.2 L’Acquisto dei Diamanti.",
				point4Elem3Text: "4.3 L’aumento dei followers e dei likes.",
				point4Elem4Text: "4.4 L’Acquisto di un account Premium con i Diamanti.",
				point4Elem5Text: "4.5 L’Acquisto di un' iscrizione Turbo con i Diamanti.",
				point5Text: "5. Il Titolare ha la facoltà di non rimborsare i fondi spesi dal Utente all’interno dell’Applicazione.",
				point6Text: "6. Il Titolare non fornisce nessuna garanzia che riguarda i tempi d’attesa delle ordinazioni.",
				point7Text: "7. L’Applicazione non è affiliata e non è stata approvata dagli amministratori di Instagram.",
				point8Text: "8. L’Applicazione raccoglie i dati personali inseriti dall’Utente all’interno dell’apparecchio dell’Utente e nel server. Il Titolare si prende l’obbligo di non divulgare i dati personali degli utenti ai terzi.",
				point9Text: "9. Il Titolare ha la facoltà di utilizzare i dati personali del Utente per inviargli delle comunicazioni, che riguardano l’attività dell’Applicazione.",
				point10Text: "10. Il Titolare si riserva il diritto di apportare modifiche e/o aggiornamenti in qualunque momento senza fornire il preavviso e/o post avviso all’Utente. Da considerare come la versione attuale del Regolamento quella pubblicata nell’Applicazione.",
				point11Text: "11. Il Titolare è libero da qualsiasi responsabilità per i danni materiali e/o morali, sorte come conseguenza dell’attività dell’Applicazione.",
				point12Text: "12. Nel caso in cui l’Utente non è d’accordo con almeno uno dei punti presenti nel Regolamento, egli è tenuto a cessare immediatamente l’utilizzo di questa Applicazione e rimuovere quest’ultima dal suo dispositivo.",
				point13Text: "13. A seguito della cancellazione dell’Applicazione da parte del Utente, il titolare non garantisce la rimozione dei dati personali in uno specifico arco di tempo."
			};
			break;
		case Constant.TR_LANG:
			lang = {
				backText: "kullanıcı Sözleşmesi",

				point1Text: "1. Bu kurallar (“Kurallar” olarak anılacaktır) Kullanıcı (“Kullanıcı” olarak anılacaktır) ve “" + Constant.APP_FULL_NAME + "” uygulama yönetimi (“Yönetim” olarak anılacaktır) arasinda resmi bir kullanici sözleşmesidir (“Uygulama” olarak anılacaktır).",
				point2Text: "2. Uygulamayı yükleyerek, Kullanıcı otomatik olarak tüm noktaları kabul eder.",
				point3Text: "3. Uygulama iki Kullanıcı arasında karşılıklı beğeniler ve takipleri icin Instagram hizmetinde oluşturulmuşdur. Uygulamanin içinde Resmi Para birimi Uygulaması mevcuttur (Diamant olarak anılacaktır).",
				point4Text: "4. Uygulama aşağıdaki özellikleri sunmaktadır:",
				point4Elem1Text: "4.1 Diamant kazançi.",
				point4Elem2Text: "4.2 Diamant satin almasi.",
				point4Elem3Text: "4.3 Takipcilerin ve belirlemelerin sayilarinin artirilmasi.",
				point4Elem4Text: "4.4 Kaliteli hesapi Diamantla satin almasi.",
				point4Elem5Text: "4.5 Uygulamalanin turbo takipliği Diamantla satın almasi.",
				point5Text: "5. Yönetim kullanici tarafindan uygulamaları içinde harcanan parayi iade etmek hakkını saklı tutar.",
				point6Text: "6. Yonetim zaman ile ilgili emirleri yerine getirmek garantisi vermez.",
				point7Text: "7. Uygulama Instagram yönetimi tarafından desteklenmemekte ve uygulanmamaktadir.",
				point8Text: "8. Uygulama Kullanıcının tarafından girilen kişisel bilgileri kullanicinin cihazinda ve sunucunda saklar. Idare üçüncü şahıslara kişisel verileri aktarmamak için taahhüt eder.",
				point9Text: "9. Yonetim tarafindan uygulanmasi ile ilgili kendine mesaj gondermek icin kullanicinin kişisel bilgileri kullana bilir.",
				point10Text: "10. Yönetim tarafindan herhangi bir değişiklik yapmak ve Kurallari tamamlamak veya önceden herhangi bir zamanda veya Kullanıcınin sonraki bildirimi saklı tutar.",
				point11Text: "11. İdare uygulamanın bir nedeniyle maruz kaldığınız her hangi bir ahlaksal veya melzeme zararlardan sorumlu değildir.",
				point12Text: "12. Kullanıcı Yönetmelik fıkralardan en az bir husus ile aynı fikirde değilse - derhal kullanmayi burakmayi ve cihazindan uyqulamalari kaldirmak zorundadir.",
				point13Text: "13. Uygulamanın kullanıcı tarafindan çıkarılmasından sonra, uygulama zamanı belirli açısından kişisel verilerin kaldırılmasını garanti etmez."
			};
			break;
	}
	return lang;
}

// PRIVACY LANGS
services_lang.service("$privacyLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.PRIVACY_VIEW, function(lang){
			$scope.backText = lang.backText;

			$scope.point1Text = lang.point1Text;
			$scope.point2Text = lang.point2Text;
			$scope.point3Text = lang.point3Text;
			$scope.point4Text = lang.point4Text;
			$scope.point4Elem1Text = lang.point4Elem1Text;
			$scope.point4Elem2Text = lang.point4Elem2Text;
			$scope.point4Elem3Text = lang.point4Elem3Text;
			$scope.point4Elem4Text = lang.point4Elem4Text;
			$scope.point4Elem5Text = lang.point4Elem5Text;
			$scope.point5Text = lang.point5Text;
			$scope.point6Text = lang.point6Text;
			$scope.point7Text = lang.point7Text;
			$scope.point8Text = lang.point8Text;
			$scope.point9Text = lang.point9Text;
			$scope.point10Text = lang.point10Text;
			$scope.point11Text = lang.point11Text;
			$scope.point12Text = lang.point12Text;
			$scope.point13Text = lang.point13Text;

			$scope.$applyAsync();
		});	
	}
}]);