controllers.controller("settingsCtrl", ["$scope", "$auth", "$settingsView", "$settingsLang", "$dialogView", "$navView", "$way", "$action",
						function($scope, $auth, $settingsView, $settingsLang, $dialogView, $navView, $way, $action){
	$way.step($scope, "/settings");

	$scope.response = function(response){
		$settingsView.manageView($scope, response);
		setTimeout(function(){
			$dialogView.hideLoading();
		}, 500);
	}
	
	$scope.logout = function(){
		$navView.inactiveState();
		$dialogView.showLoading();
		$auth.logout($scope);
	}

	$scope.back = function(){
		$way.goBack($scope);
	}

	$scope.openService = function(service){
		$settingsView.openService(service);
	}

	$scope.watchGuide = function(){
		$settingsView.watchGuide($scope);
	}

	$scope.showPrivacy = function(){
		$settingsView.showPrivacy();
	}

	$scope.getLinkOnApp = function(appId){
		$settingsView.getLinkOnApp(appId);
	}

	$settingsView.initViewParams();

	$action.version($scope);
	$action.apps($scope);

	$settingsLang.setLang($scope);
}]);