controllers.controller("tasksCtrl", ["$scope", "$rootScope", "$action", "$tasksView", "$navView", "$tasksLang", "$dialogView", "$way",
						function($scope, $rootScope, $action, $tasksView, $navView, $tasksLang, $dialogView, $way){
	$rootScope.locationTitle = $dialogView.strings.tasksTitle;
	$way.step($scope, "/tasks");

	$navView.setNavBut(Constant.TASKS_VIEW);

	$scope.response = function(response){
		$dialogView.hideLoading();
		$tasksView.manageView($scope, response);
	}

	$scope.showTextStatus = function(type){
		$tasksView.showTextStatus($scope, type);
	}

	//check task
	$scope.refreshTask = function(task){
		$action.refreshTask($scope, task);
	}

	//delete task
	$scope.deleteTask = function(task){
		$dialogView.showDeleteTask($scope, task);
	}
	
	$scope.tasks = function(){
		$dialogView.showLoading();
		$action.tasks($scope);
	}

	$tasksView.initViewParams();

	//initial state
	$tasksView.initSwipe(); // order is
	$scope.tasks();			// important

    $tasksLang.setLang($scope);
}]);