Lang.getDialog = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				dialogPh: "Enter likes count",
				diamondsText: "Diamonds",
				sendText:  "Order",
				privateAccHead: "Error!<br>Private account",
				privateAccText: "You are trying to make order on a private account, please open an account if you want to get likes!",
				privateAccBut: "Ok",
				deleteTaskHead: "CONFIRM DELETE",
				deleteTaskCancel: "Cancel",
				deleteTaskDelete: "Delete",
				enterNickHead: "Enter a nickname:",
				enterNickPh: "Nickname",
				enterNickBut: "Confirm"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				dialogPh: "Введите количество лайков",
				diamondsText: "Диаманты",
				sendText:  "Заказать",
				privateAccHead: "Ошибка!<br>Приватный аккаунт",
				privateAccText: "Вы пытаетесь сделать заказ на приватный аккаунт, пожалуйста, откройте его, если вы хотите накрутить лайки!",
				privateAccBut: "Ок",
				deleteTaskHead: "ПОДТВЕРДИТЬ УДАЛЕНИЕ",
				deleteTaskCancel: "Отмена",
				deleteTaskDelete: "Удалить",
				enterNickHead: "Введите имя:",
				enterNickPh: "Имя",
				enterNickBut: "Подтвердить"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				dialogPh: "Fuehren Sie die Likesanzahl zu",
				diamondsText: "Diamanten",
				sendText: "bestellen",
				privateAccHead: "Fehler!<br>Privater konto",
				privateAccText: "Sie versuchen, um auf ein Privatkonto zu machen, benutzen Sie bitte ein Konto eröffnen, wenn Sie gerne zu bekommen!",
				privateAccBut: "Ok",
				deleteTaskHead: "LÖSCHEN BESTÄTIGEN",
				deleteTaskCancel: "Stornieren",
				deleteTaskDelete: "Löschen",
				enterNickHead: "Geben Sie Spitznamen:",
				enterNickPh: "Spitznamen",
				enterNickBut: "Bestätigen"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				dialogPh: "Inserte el numero de me gusta",
				diamondsText: "Diamantos",
				sendText:  "Encargar",
				privateAccHead: "Error!<br>Cuenta privada",
				privateAccText: "Usted está tratando de poner orden en una cuenta privada, por favor abra una cuenta si desea obtener gustos!",
				privateAccBut: "Ok",
				deleteTaskHead: "CONFIRMAR ELIMINACIÓN",
				deleteTaskCancel: "Cancelar",
				deleteTaskDelete: "Borrar",
				enterNickHead: "Introduzca apodo:",
				enterNickPh: "Apodo",
				enterNickBut: "Confirmar"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				dialogPh: "Saisissez le nombre de comme",
				diamondsText: "Diamants",
				sendText:  "Commander",
				privateAccHead: "Erreur!<br>Compte privé",
				privateAccText: "Vous essayez de faire l'ordre sur un compte privé, s'il vous plaît ouvrir un compte si vous voulez obtenir goûts!",
				privateAccBut: "Ok",
				deleteTaskHead: "CONFIRMATION DE LA SUPPRESSION",
				deleteTaskCancel: "Annuler",
				deleteTaskDelete: "Effacer",
				enterNickHead: "Entrer un surnom:",
				enterNickPh: "Surnom",
				enterNickBut: "Confirmer"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				dialogPh: "La quantità dei likes",
				diamondsText: "Diamanti",
				sendText:  "Ordinare",
				privateAccHead: "Errore!<br>Account privato",
				privateAccText: "Si sta cercando di fare ordine su un conto privato, si prega di aprire un conto, se si desidera ottenere calibro!",
				privateAccBut: "Ok",
				deleteTaskHead: "CONFERMA CANCELLAZIONE",
				deleteTaskCancel: "Annulla",
				deleteTaskDelete: "Cancellare",
				enterNickHead: "Inserisci soprannome:",
				enterNickPh: "Soprannome",
				enterNickBut: "Confermare"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				dialogPh: "Sever sayısını girin",
				diamondsText: "Elmas",
				sendText:  "Sipariş",
				privateAccHead: "Hata!<br>özel hesap",
				privateAccText: "Özel bir hesapta sipariş yapmak için çalışıyoruz, sen seviyor almak istiyorsanız bir hesap açın lütfen!",
				privateAccBut: "Ok",
				deleteTaskHead: "SİLMEYİ ONAYLA",
				deleteTaskCancel: "İptal etmek",
				deleteTaskDelete: "Silmek",
				enterNickHead: "takma ad girin:",
				enterNickPh: "rumuz",
				enterNickBut: "onaylamak"
			};
			break;
	}
	return lang;
}

// DIALOG LANGS
services_lang.service("$dialogLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.DIALOG_VIEW, function(lang){
			$scope.dialogPh = lang.dialogPh;
			$scope.diamondsText = lang.diamondsText;
			$scope.sendText = lang.sendText;
			$scope.privateAccHead = lang.privateAccHead;
			$scope.privateAccText = lang.privateAccText;
			$scope.privateAccBut = lang.privateAccBut;
			$scope.deleteTaskHead = lang.deleteTaskHead;
			$scope.deleteTaskCancel = lang.deleteTaskCancel;
			$scope.deleteTaskDelete = lang.deleteTaskDelete;
			$scope.enterNickHead = lang.enterNickHead;
			$scope.enterNickPh = lang.enterNickPh;
			$scope.enterNickBut = lang.enterNickBut;

			$scope.$applyAsync();
		});
	}
}]);