Lang.getEarn = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				earnedText: "earned diamonds",
				powerText: "power"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				earnedText: "заработано диамантов",
				powerText: "мощность"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				earnedText: "verdient Diamanten",
				powerText: "macht"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				earnedText: "diamantes obtenidos",
				powerText: "poder"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				earnedText: "diamants Gagnés",
				powerText: "puissance"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				earnedText: "diamanti guadagnati",
				powerText: "potere"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				earnedText: "kazanılan elmaslar",
				powerText: "güç"
			};
			break;
	}
	return lang;
}

// EARN LANGS
services_lang.service("$earnLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.EARN_VIEW, function(lang){
			$scope.earnedText = lang.earnedText;
			$scope.powerText = lang.powerText;

			$scope.$applyAsync();
		});
	}
}]);