controllers.controller("loginCtrl", ["$scope", "$auth", "$loginView", "$loginLang", "$dialogView", "$way",
						function($scope, $auth, $loginView, $loginLang, $dialogView, $way){
	$way.step($scope, "/login");
	$way.playBack();

	$scope.response = function(response){
		$loginView.manageView($scope, response);
		setTimeout(function(){
			$dialogView.hideLoading();
		}, 700);
	}

	$scope.auth = function(){
		$dialogView.showLoading();
		$auth.auth($scope, new AuthData($scope.login, $scope.password, $scope.authType, ""));
	}
	
	$loginView.initViewParams();

	$auth.preload($scope);

	$loginLang.setLang($scope);
}]);