controllers.controller("mainCtrl", ["$scope", "$routeParams", "$rootScope", "$manager", "$auth", "$action",
									 "$mainView", "$dialogView", "$navView", "$longtabView", "$mainLang", "$demon", "$way",
									  "$adView", "$udatar", "$notifar",
						function($scope, $routeParams, $rootScope, $manager, $auth, $action, $mainView,
								 $dialogView, $navView, $longtabView, $mainLang, $demon, $way, $adView, $udatar, $notifar){
	$rootScope.locationTitle = $manager.instance.getUser().getNick();
	$way.step($scope, "/main");
	// allow user back but
	$way.playBack();

	$navView.setNavBut(Constant.MAIN_VIEW);

	$scope.response = function(response){
		$mainView.manageView($scope, response);
	}

	$scope.moveAutoTask = function(){
		$mainView.moveAutoTask();
	}

	$scope.setPosts = function(index, src){
		$mainView.setPosts(index, src);
	}
	
	$scope.bidLikes = function(post){
		$dialogView.showDialogBidLikes(post.getId());
	}

	$scope.multipleBidLikes = function(index){
		$longtabView.showLongtab(index, $manager.instance.getUser());
	}

	$scope.orderAnotherAcc = function(){
		$dialogView.showEnterNick();
	}
	
	$demon.startNewsDemon();
	$demon.startFastEarnDemon();
	$demon.startAutoTaskDemon();

	$mainView.initViewParams();
	
	// show tutorial if first time
	if($manager.instance.getUser().isFirstTime()){
		$manager.instance.getDataManager().setSetting(Config.FIRSTTIME_SETTING, 0, function(){
			// disallow user back but
			$way.stopBack();

			new Tour({"elems": [".header-right-diamonds-block", "#likeTab", "#tasksTab", "#donateTab", "#mainTab", "#newsTab", 
								"#mainWrap .quest-elem-block:first", "#mainWrap .quest-elem-block:first", ".goearn-but-block"], 
					"texts": [$scope.guideDiamondsText, $scope.guideBidText, $scope.guideTasksText, $scope.guideDonateText, $scope.guideMainText, 
								$scope.guideNewsText, $scope.guideQuestHintText, $scope.guideLongTabText, $scope.guideEarnText], 
					"buttons": [$scope.guideNextText, $scope.guideReadyText, $scope.guideSkipText]}, 
					function(){
						$manager.instance.getBot().run(function(result){
							$dialogView.showToast($dialogView.strings.activeEarnText);
						});
						// allow user back but
						$way.playBack();
					});
		});
	}

	//initial state
	$mainView.setInfo($scope, $manager.instance.getUser());
	$mainView.initSwipe();
	$adView.init();
	$notifar.init();

	$mainLang.setLang($scope);
}]);