Lang.getNews = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				noNewsText: "At the moment there is no news"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				noNewsText: "На данный момент нет никаких новостей"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				noNewsText: "Im Moment gibt es keine Nachrichten"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				noNewsText: "Por el momento no hay noticias"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				noNewsText: "À l'heure actuelle il n'y a pas de nouvelles"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				noNewsText: "Al momento non si hanno notizie"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				noNewsText: "Şu anda hiçbir haber yoktur"
			};
			break;
	}
	return lang;
}

// NEWS LANGS
services_lang.service("$newsLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.NEWS_VIEW, function(lang){
			$scope.noNewsText = lang.noNewsText;

			$scope.$applyAsync();
		});
	}
}]);