controllers.controller("dialogCtrl", ["$scope", "$action", "$location", "$correct", "$dialogView", "$dialogLang", "$way",
						function($scope, $action, $location, $correct, $dialogView, $dialogLang, $way){
	
	$scope.response = function(response){
		$dialogView.manageView($scope, response);
	}

	$scope.hideDialogBidLikes = function(){
		$dialogView.hideDialogBidLikes();
		// allow use back but
		$way.playBack();
	}

	$scope.hidePrivateAcc = function(){
		$dialogView.hidePrivateAcc();
		// allow use back but
		$way.playBack();
	}

	$scope.hideDeleteTask = function(){
		$dialogView.hideDeleteTask();
	}

	$scope.confirmDeleteTask = function(){
		$dialogView.hideDeleteTask();
		$dialogView.showLoading();
		$action.deleteTask($dialogView.deleteData.scope, $dialogView.deleteData.task);
	}

	$scope.hideEnterNick = function(){
		$dialogView.hideEnterNick();
		// allow use back but
		$way.playBack();
	}

	$scope.sendEnterNick = function(){
		$dialogView.sendEnterNick($scope);
	}
	
	$scope.bid = function(){
		$scope.link = Constant.HOME_PAGE + Constant.LIKES_LINK_IDENTIFIER + $scope.bidLikeId;

		$dialogView.setButAnim("bid-dialog", true);
		var status = $correct.checkCorrect(Constant.LIKE_TYPE, $scope.link, $scope.targetCountDialog);

		if(status.status == Constant.OK_STATUS){
			$action.bid($scope, new Bid($scope.link, $scope.targetCountDialog, Constant.LIKE_TYPE));
		}else{
			$dialogView.setButAnim("bid-dialog", false);
			$dialogView.showToast(status.message);
		}
	}

	$scope.changePrice = function(){
		$dialogView.setPrice($scope, $scope.targetCountDialog);
	}

	$dialogView.showInitLoading();
	$dialogView.initViewParams();
	
	$dialogLang.setLang($scope);
}]);