services_views.service("$navView", function(){
	var self = this;
	
	// set background to buttons in navigation
	this.setNavBut = function(view){
		self.inactiveState();

		switch(view){
			case Constant.BID_LIKE_VIEW:
			case Constant.BID_SUBS_VIEW:
				$(".nav-elem-block").eq(0).addClass('nav-active');
				$('.nav-elem-bid').attr("src", "app/parts/nav/images/nav_bid_active.png");
				break;
			case Constant.TASKS_VIEW:
				$(".nav-elem-block").eq(1).addClass('nav-active');
				$('.nav-elem-tasks').attr("src", "app/parts/nav/images/nav_tasks_active.png");
				break;
			case Constant.DONATE_VIEW:
				$(".nav-elem-block").eq(2).addClass('nav-active');
				$('.nav-elem-donate').attr("src", "app/parts/nav/images/nav_donate_active.png");
				break;
			case Constant.MAIN_VIEW:
				$(".nav-elem-block").eq(3).addClass('nav-active');
				$('.nav-elem-main').attr("src", "app/parts/nav/images/nav_main_active.png");
				break;
			case Constant.NEWS_VIEW:
				$(".nav-elem-block").eq(4).addClass('nav-active');
				$('.nav-elem-news').attr("src", "app/parts/nav/images/nav_news_active.png");

				// clear number of news
				$("#newsCounter").addClass("none");
				break;
		}
	}

	// delete background button before setting
	this.inactiveState = function(){
		$(".nav-elem-block").each(function(){
			$(this).removeClass('nav-active');
		});
		$('.nav-elem-bid').attr("src", "app/parts/nav/images/nav_bid_inactive.png");
		$('.nav-elem-tasks').attr("src", "app/parts/nav/images/nav_tasks_inactive.png");
		$('.nav-elem-donate').attr("src", "app/parts/nav/images/nav_donate_inactive.png");
		$('.nav-elem-main').attr("src", "app/parts/nav/images/nav_main_inactive.png");
		$('.nav-elem-news').attr("src", "app/parts/nav/images/nav_news_inactive.png");
	}

	// set a num of news in nav icon
	this.setNewsCount = function(num){
		if(num == 0){
			$("#newsCounter").addClass("none");
		}else{
			$("#newsCounter").removeClass("none");
			$("#newsCounter .nav-news-counter-num").text(num);
		}
	}
});